List settlements
curl --request GET \
--url https://api.anchorage-staging.com/v2/atlas/settlements \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/atlas/settlements"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/atlas/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"acceptorSide": {
"participantId": "<string>",
"authorized": true,
"feesFunded": true,
"funded": true,
"gasStationEnabled": true,
"walletAmounts": [
{
"assetType": "BTC",
"quantity": "10.45234733",
"walletId": "<string>"
}
]
},
"clientReferenceId": "<string>",
"pendingAcceptorReview": true,
"proposerSide": {
"participantId": "<string>",
"authorized": true,
"feesFunded": true,
"funded": true,
"gasStationEnabled": true,
"walletAmounts": [
{
"assetType": "BTC",
"quantity": "10.45234733",
"walletId": "<string>"
}
]
},
"settlementId": "<string>",
"state": "ActionNeeded"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List settlements
Permissions required: Read vault activity
Get settlements proposed by you or proposed to you.
GET
/
atlas
/
settlements
List settlements
curl --request GET \
--url https://api.anchorage-staging.com/v2/atlas/settlements \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/atlas/settlements"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/atlas/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"acceptorSide": {
"participantId": "<string>",
"authorized": true,
"feesFunded": true,
"funded": true,
"gasStationEnabled": true,
"walletAmounts": [
{
"assetType": "BTC",
"quantity": "10.45234733",
"walletId": "<string>"
}
]
},
"clientReferenceId": "<string>",
"pendingAcceptorReview": true,
"proposerSide": {
"participantId": "<string>",
"authorized": true,
"feesFunded": true,
"funded": true,
"gasStationEnabled": true,
"walletAmounts": [
{
"assetType": "BTC",
"quantity": "10.45234733",
"walletId": "<string>"
}
]
},
"settlementId": "<string>",
"state": "ActionNeeded"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Minimum string length:
1Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?